{
  "type" : "record",
  "name" : "OtherAction",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "referenceUrl",
    "type" : "string",
    "doc" : "URL where reference information for this action can be found"
  }, {
    "name" : "identifier",
    "type" : [ "null", "string" ],
    "doc" : "Action identifier"
  }, {
    "name" : "sources",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Sources if known"
  }, {
    "name" : "actionType",
    "type" : [ "null", "string" ],
    "doc" : "Action type"
  }, {
    "name" : "conditions",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Associated conditions"
  }, {
    "name" : "otherAttributes",
    "type" : [ "null", {
      "type" : "map",
      "values" : "string"
    } ],
    "doc" : "Other attributes"
  }, {
    "name" : "variantActionable",
    "type" : "boolean",
    "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
  } ]
}
